<?php

// File Security Check
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

function benqu_theme_options_style() {

    //
    // Enqueueing StyleSheet file
    //
    wp_enqueue_style( 'benqu-theme-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css' );
    $css_output = '';
    $benqu_primary_color = cs_get_option('primary-background'); 
    
    //Theme Gradient COlor
    //Theme Gradient COlor
    $css_output .= '        
        :root {
            --color-primary: '.esc_attr($benqu_primary_color).';
        }
    ';
    

    wp_add_inline_style( 'benqu-theme-custom-style', $css_output );

}
add_action( 'wp_enqueue_scripts', 'benqu_theme_options_style' );
